View Issue Details

IDProjectCategoryView StatusLast Update
0002109Industrial-Craft²crossmod-compatibility / submodules / APIpublic2017-03-21 18:15
ReporterdavqvistAssigned ToChocohead 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version 
Target VersionFixed in VersionBuilds for MC 1.10.x 
Summary0002109: Item.getUnlocalizedNameInefficiently() returns localized names
DescriptionSince The One Probe updated to 1.4.0 I was getting .name attached to every IC2 machine. I talked to McJty and he said he changed that localization is now on the client instead of on the server. He then investigated why it breaks only with IC2 and said "It seems to be returning localized names (instead of unlocalized) in Item.getUnlocalizedNameInefficiently() which is not the intention." See https://github.com/McJty/TheOneProbe/issues/126
Steps To ReproduceInstall The One Probe 1.4.0+ and look at a IC2 machine
Additional InformationForge 12.18.3.2221
TagsNo tags attached.
Minecraft Version1.10.2

Activities

Chocohead

2017-02-08 14:34

developer   ~0005050

The way Item#getUnlocalizedNameInefficiently() works is just trying to translate Item#getUnlocalizedName(), which if it is a valid translation key means it succeeds (hence it was returning the translated names). If unlocalised names don't need extra parts adding (as vanilla adds .name to the end of everything) then it's rather pointless for it to even exist, as it's just going to replicate a function that already exists either by translating or deliberately returning the unlocalised name.

TOP with IC2 still isn't perfect even using Item#getUnlocalizedName(), because .name is still added to the end meaning it can't translate the names at all (effectively the reverse of the original problem). I should probably just write a compat module within IC2 to handle it, but TOP forces Java 8 and we're still supporting J6.

Chocohead

2017-03-21 18:15

developer   ~0005105

Fixed in IC2 2.6.175

Issue History

Date Modified Username Field Change
2017-02-06 13:37 davqvist New Issue
2017-02-08 14:34 Chocohead Note Added: 0005050
2017-02-08 14:34 Chocohead Assigned To => Chocohead
2017-02-08 14:34 Chocohead Status new => assigned
2017-03-21 18:15 Chocohead Note Added: 0005105
2017-03-21 18:15 Chocohead Status assigned => resolved
2017-03-21 18:15 Chocohead Fixed in Version => Builds for MC 1.10.x
2017-03-21 18:15 Chocohead Resolution open => fixed